body {
    font-family: Arial, sans-serif;
  }

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}
header {
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: transform 0.8s ease-in-out; 
    position: fixed; 
    width: 100%;
    top: 0; 
    z-index: 1000; 
    background-color: white;
}

.menu li{
    margin: 0% 7%;
}
.menu-icon{
    display: none;
    position: sticky;
}
section {
    margin: 0;
    padding: 0; 
}

.logo-container {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 10px; 
    color: white;

}
.logo-container img{
    width: 500px;
    height: 160px;
}
html {
    scroll-behavior: smooth; /* Enable smooth scrolling */
}
nav {
    width: 100%;
    height: 60px;
    background-color: rgb(34, 34, 34);
    padding-left: 2%;
    border: none; 
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap; /* Allows items to wrap on smaller screens */
}

nav ul {
    list-style-type: none; 
    display: flex;
    align-items: center; 
}

nav ul li {
    margin: 0 5px; 
}

nav a {
    text-decoration: none;
    color: white;
    font-weight: 600;
    
}

.services-menu {
    position: relative;
}

.services-menu .dropdown {
    position: absolute;
    top: 100%; 
    left: -60%;
    background-color: rgba(34, 34, 34, 0.9); 
    list-style: none;
    z-index: 10; 
    border-radius: 5px;
}

.dropdown li {
    padding: 10px 10px;
    margin-left: 35px !important;
}

.dropdown li a {
    color: white;
    text-decoration: none;
}

.dropdown li a:hover {
    color: #0A4076;
}

nav a:hover {
    color: #0A4076;
}

.employee {
    width: 300px; 
    background-color:  #0A4076;
    display: flex;
    justify-content: center;
}

.employee a {
    color: rgba(25, 24, 27, 1);
}
.services-menu:hover .dropdown {
    display: block; /* Show on hover */
}
.emp:hover {
    color: white;
}
.emp a:hover{
    color: white;
}
.employee img{
   width: 100%; 
   height: 150px;
}
.landing-video-container {
    background-color: var(--fill-layer-background-overlay-color);
    opacity: var(--fill-layer-background-overlay-blend-opacity-fallback, 1);
    position: var(--fill-layer-background-overlay-position);
    transform: var(--fill-layer-background-overlay-transform);
    flex: 1; 
    position: relative;
    margin-top: 230px;
}


.landing-video {
   
    width: 100%;
    height: 82vh;
    object-fit: cover; 
    filter: brightness(50%);
}

.video-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
}

.video-overlay h1 {
    font-size: 4.5vw; /* Responsive font size */
    margin-bottom: 10px;
}

.video-overlay p {
    font-size: 2.1vw; /* Responsive font size */
}

.video-overlay img {
    margin-top: 30px;
}

.video-overlay img:hover {
    cursor: pointer;
}

.services {
    position: relative; 
    margin-top: -5px;
    width: 100%;
    font-size: 30px;
    font-weight: bolder;
    overflow: hidden; 
    flex-wrap: wrap; 
    padding-bottom: 100px; 
    display: flex;
    justify-content: center; 
}

.services::before {
    content: ""; 
    position: absolute; 
    top: 0; 
    left: 0; 
    width: 100%; 
    height: 100%; 
    background-image: url("public/assets/img/bg_img_service.webp"); 
    background-repeat: no-repeat; 
    background-size: cover; 
    background-position: center; 
    opacity: 0.1; 
    z-index: -1; 
}

.services img {
    object-fit: cover; /* Maintain aspect ratio */
}

.services img {
    object-fit: cover; /* Maintain aspect ratio */
}


.services h1 {
    margin: 10px 0px;
}
  
  .animated-line {
    width: 100px; /* Adjust as needed */
    height: 5px; /* Line thickness */
    position: relative;
    overflow: hidden;
    border-radius: 2px;
  }
  
  .animated-line::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 100%;
    background: #0A4076;/* The color of the moving line */
    animation: animate 3s linear infinite;
  }
  
  @keyframes animate {
    0% {
      transform: translateX(-100%); /* Start off-screen */
    }
    50% {
      transform: translateX(100%); /* Move across */
    }
    100% {
      transform: translateX(-100%); /* Reset to start */
    }
  }
  

.services-first-container,
.services-second-container {
    display: flex;
    justify-content: center; 
    flex-wrap: wrap;
    margin-top: 20px; 
    transform: translateY(40px); 
    opacity: 1; 
    transition: transform 0.5s ease, opacity 0.5s ease; 
}

.show {
    transform: translateY(10px); 
    opacity: 1;
}
.service-box img{
    filter: grayscale(100%); 
    height: 80%;
    width: 100%;
}
.service-box img:hover{
    cursor: pointer;
    filter: grayscale(0%); /* Remove grayscale on hover */
}
.service-box p:hover{
    color: #3c5c7c;
}
.service-box { 
height: 400px;
width: 400px; 
padding: 1px;
    margin: 10px; 
    background-color: rgba(25, 24, 27, 1);
    text-align: center;
    color: grey;
    border-radius: 6px;
    box-shadow: 4px 4px 10px rgba(25, 24, 27, 1);
}

.service-box p {
    font-size: 22px;
margin-top: 15px;
}



.about-us {
    font-size: 30px;
    font-weight: bolder;
    display: flex;
    flex-direction: column;
}

.inside-about {
    padding: 5% 10%;
}

.about-us img {
    object-fit: cover;
}

.inside > div {
    width: 50%;
}

.inside {
    width: 100%;
    display: flex;
    flex-direction: row;
}



.inside-about p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.7em;
    font-weight: 300;
    margin-top: 10%;
}

.establish {
    padding: 5% 0%;
    width: 100%;
    background-color: rgba(25, 24, 27, 1);
    color: white;
    font-size: 2em; 
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
}

.blank {
    width: 3px;
    height: 55px;
    background-color: grey;
    margin: 0 10%;
}

.projects {
    padding: 50px;
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 30px;
    font-weight: bolder;
}

.projects .animated-line {
    margin-top: 10px;
}

.slider {
    margin-top: 30px;
    height: 60vh;
    width: 48%;
    border: 2px solid black;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 2px 2px 15px #0A4076;
}

.slides {
    display: flex;
    transition: transform 0.5s ease-in-out;  
    width: 100%;
}

.slide {
    min-width: 100%;
    transition: 0.5s;
}

.slide img {
    width: 100%;
    border-radius: 10px;
    height: 60vh;
}

.projects button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    font-size: 24px;
    border-radius: 5px;
}

.projects button:focus {
    outline: none;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

.projects button:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.clients {
    padding: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 30px;
    font-weight: bolder;
    background-color: rgb(247, 247, 247);
}

.clients button:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.clients button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    font-size: 24px;
    border-radius: 5px;
}

.clients button:focus {
    outline: none;
}

.clients .animated-line {
    margin-top: 10px;
}

.clients .slider {
    margin-top: 30px;
    height: 30vh;
    width: 30%;
    position: relative;
    overflow: hidden;
}

.clients .slide img {
    width: 100%;
    border-radius: 10px;
    height: 30vh;
}

.contact {
    padding: 40px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.contact .animated-line {
    margin-top: 10px;
}

.map {
    margin-top: 30px;
    width: 60%;
    height: 45vh;
    border: 2px solid black;
    border-radius: 5px;
}

.inside-contact {
    display: flex;
    margin-top: 40px;
    width: 60%; 
}

.left-contact {
    width: 60%;
}

.left-contact p {
    margin-top: 30px;
}

label {
    display: block;
    margin-top: 10px;
}

.button-container{
    margin-top: 20px;
    width: 100%;
    display: flex;
    justify-content: end;
}
.button-container button{
    font-size: large;
    width: 200px;
    height: 50px;
    background-color: #0A4076;
    color: white;
    transition: background-color 0.5s ease-in-out;
    border: none;
    border-radius: 5px;
}
.button-container button:hover{
    cursor: pointer;
    background-color: white;
    color: #0A4076;
    border: 2px solid #0A4076;
}
input {
    width: 100%;
}

textarea {
    width: 100%;
    height: 100px;
}

.footer{
    width: 100%;
    height: 100px;
    background-color: rgb(247, 247, 247);
    border-top: 2px solid rgb(198, 198, 198);
    display: flex;
    flex-direction: column;
    align-items: center;
}
.footer section{
    width: 50%;
    height: 100%;
}
.inside-footer{
    height: 40%;
    letter-spacing:  0.04em;
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
}
.inside-footer i{
    width: 20px;
    height: 20px;
}
i:hover{
    cursor: pointer;
}
.chat {
    height: 50px;
    width: 50px;
    background-color: #0A4076;
    position: fixed;
    bottom: 20px;
    right: 20px; 
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    box-shadow: 4px 4px 8px rgba(25, 24, 27, 1);
    z-index: 1000; /* Ensure it appears on top of other elements */
}

.chat:hover{
    cursor: pointer;
    background-color: #305375;
}
.chat img{
    max-width: 60%; 
    height: auto; 
    filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg) brightness(100%) contrast(100%);
}
.x {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between; 
    background-color:#0A4076;
    font-size: 800;
    font-weight: bold;
}

.x-menu {
    width: 100%;  
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.x a {
    display: block; 
    padding: 10px; 
    color: rgba(25, 24, 27, 1); 
    text-decoration: none; 
}
.x a:hover{
    background-color: white;
}
.x i {
    cursor: pointer; 
    padding: 10px 20px;
}

.hidden {
    display: none !important; 
}
.emp a{
    width: 400px;
}
.serve{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}
.x-dropdown{
    width: 100%;
text-align: center;
background-color: white;
color: #0A4076;
border-radius: 8px; 
box-shadow: 0 2px 10px white(0, 0, 0, 0.1); 
}
.x-dropdown li:hover{
    background-color: #0A4076;
}
.x-dropdown li{
  list-style: none;
}
.contact p{
    font-size: 15px;
}
.right-contact{
   
    margin-left: 120px;
}

@media (max-width: 992px) {
    .about-us{
        font-size: medium;
    }
    .inside-about p{
        font-size: 1.2em;
    }

    .logo-container img{
       height: 120px;
       width: 300px;
    }
    .menu-icon{
        display: block;
    }
    .menu{
        display: none;
    }
     .employee{
        padding: 0px 30px;
        width: 100%;
        display: flex;
        justify-content: space-between;
      }
      .emp {
        margin-left: 0; /* Avoid large margins on small screens */
    }
    
    .inside div {
        width: 100%; /* Full width for small screens */
    }
    
    .slider, .map {
        width: 100%; /* Ensure elements fit within the screen */
    }

    .video-overlay h1 {
        font-size: 32px; /* Adjust size */
    }
   nav{
    padding-left: 0;
   }
    .video-overlay p {
        font-size: 18px; /* Adjust size */
    }

    .service-box {
        width: 90%;
    }

    .inside-contact {
        flex-direction: column; /* Stack contact items */
        width: 100%;
    }

    .left-contact {
        width: 100%;
    }
    .landing-video-container{
          margin-top: 190px;
    }
    .map {
        width: 100%;
    }
    .inside {
        display: flex; 
        flex-wrap: wrap; 
    }
    .inside div{
        width: 100%; 
    }
    .footer section{
        padding-left: 5px;
        width: 100%;
        height: 100%;
    }
    .projects , .clients{
        margin-top: 20px;
        width: 100%;
        padding: 2px;
    }

    .slider{
        width: 90%;
        height: 50vh;
    }
    .clients .slider {
        width: 90%;
        height: 50vh;
    }
    .clients .slider img{
        height: 50vh;
    }
    .establish{
        flex-direction: column;
        padding: 20px;
    }
    .footer{
        padding: 0px 5px;
    }
    .blank{
        display: none;
    }
    .right-contact{
        margin-left: 0px;
    }
    .button-container{
        margin-bottom: 10px;
    }
    
}

@media (max-width: 1300px) and (min-width: 992px) {
    .inside-contact {
        flex-direction: column; 
        width: 100%;
        padding: 10% 20%;
    }

    .left-contact {
        width: 100%;
    }
    
    .right-contact {
        margin-left: 0;
    }
}





input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}




.right-contact a{
    
    text-decoration: none;
    color: rgba(25, 24, 27, 1);
}


ul li a.active {
    position: relative;
    color: #0A4076;
}

ul li a.active::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 3px; 
    background-color: #0A4076;
    left: 0;
    bottom: -5px; 
    border-radius: 2px; 
}
